Bug 649860 - [Bearlake] Intel i915 GPU hung
Summary: [Bearlake] Intel i915 GPU hung
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-04 17:27 UTC by Nineth
Modified: 2018-04-11 15:14 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:51:36 UTC


Attachments (Terms of Use)
output from dmesg (79.96 KB, text/plain)
2011-02-03 18:51 UTC, Ben Wallberg
no flags Details
/var/log/messages (67.58 KB, text/plain)
2011-02-03 18:52 UTC, Ben Wallberg
no flags Details
/etc/x11/xorg.conf (572 bytes, text/plain)
2011-02-03 18:52 UTC, Ben Wallberg
no flags Details
/var/log/Xorg.0.log (71.70 KB, text/plain)
2011-02-03 18:53 UTC, Ben Wallberg
no flags Details

Description Nineth 2010-11-04 17:27:56 UTC
Description of problem:

X freezes. No new X applications can be started. Terminating all processes does not help. Switching to run level 1, and getting back does not help either. A basic X session (xinit) can be started but nothing that uses graphics memory can be started. Only a reboot fixes this. Typically happens while using a lot of flash in the browser (see log below). I'll post more error messages later (the next time it happens). It appears to be due to the driver's inability to allocate any more memory for rendering. 

Version-Release number of selected component (if applicable):

kernel-2.6.34.7-56.fc13.i686 
xorg-x11-drivers-7.3-14.fc13.i686


How reproducible:

Often


Steps to Reproduce:
1.  Use a lot flash in firefox
  
Actual results:
Irreversible lockup - reboot necessary

Expected results:


Additional info:

I have the same problem. Here are my logs. It happens to me when using a lot of
flash in firefox. Only a reboot helps me. Killing all processes doesn't help.
No app that requires graphics memory can be started. 




npviewer.bin[16718]: segfault at 0 ip 01186741 sp bfb16d10 error 4 in
libflashplayer.so[de7000+b2c000]
npviewer.bin[16894]: segfault at 418 ip 01035dd6 sp bf884138 error 6 in
libflashplayer.so[de7000+b2c000]
[drm:i915_gem_do_execbuffer] *ERROR* Failed to pin buffer 2 of 3, total
58724352 bytes, 0 fences: -28
[drm:i915_gem_do_execbuffer] *ERROR* 555 objects [5 pinned], 179732480 object
bytes [43139072 pinned], 43139072/100794368 gtt bytes
npviewer.bin[16929]: segfault at 0 ip 01186741 sp bf932450 error 4 in
libflashplayer.so[de7000+b2c000]
npviewer.bin[16948]: segfault at 0 ip 011d4741 sp bf94b760 error 4 in
libflashplayer.so[e35000+b2c000]
npviewer.bin[18431]: segfault at 418 ip 01035dd6 sp bf91f328 error 6 in
libflashplayer.so[de7000+b2c000]
npviewer.bin[19955]: segfault at b730604c ip 01186757 sp bfe9eb60 error 4 in
libflashplayer.so[de7000+b2c000]
npviewer.bin[20123]: segfault at 418 ip 01035dd6 sp bf8e73f8 error 6 in
libflashplayer.so[de7000+b2c000]
npviewer.bin[20329]: segfault at 418 ip 01035dd6 sp bfb77098 error 6 in
libflashplayer.so[de7000+b2c000]
npviewer.bin[8400]: segfault at 418 ip 01043dd6 sp bfb40d88 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[8523]: segfault at b74e904c ip 01194757 sp bf870690 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[8547]: segfault at 0 ip 01194741 sp bfdb1360 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[8616]: segfault at 0 ip 011f9741 sp bff1f620 error 4 in
libflashplayer.so[e5a000+b2c000]
npviewer.bin[8656]: segfault at 418 ip 01043dd6 sp bfa94e78 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[8707]: segfault at 418 ip 01043dd6 sp bfe1ce38 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[8894]: segfault at 418 ip 01043dd6 sp bfa9b708 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[8950]: segfault at b758804c ip 01194757 sp bff07470 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9018]: segfault at b73a604c ip 01194757 sp bfdcf600 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9048]: segfault at b73e304c ip 01194757 sp bfbd7f00 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9067]: segfault at 418 ip 01106dd6 sp bfe78e58 error 6 in
libflashplayer.so[eb8000+b2c000]
npviewer.bin[9093]: segfault at b748304c ip 01194757 sp bf931f60 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9391]: segfault at 0 ip 01194741 sp bfafeeb0 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9686]: segfault at 418 ip 01043dd6 sp bfff4bc8 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9742]: segfault at 418 ip 01043dd6 sp bfde83c8 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9860]: segfault at b734904c ip 01194757 sp bf9653c0 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9879]: segfault at 418 ip 01043dd6 sp bf826ef8 error 6 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[9897]: segfault at 0 ip 01194741 sp bf9b0750 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[10262]: segfault at b731804c ip 01194757 sp bfa32120 error 4 in
libflashplayer.so[df5000+b2c000]
npviewer.bin[10283]: segfault at 418 ip 01043dd6 sp bfbb7278 error 6 in
libflashplayer.so[df5000+b2c000]
[drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
[drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting
4188907 at 4188904)
------------[ cut here ]------------
WARNING: at drivers/gpu/drm/i915/i915_gem_tiling.c:337
i915_gem_set_tiling+0x156/0x1ad [i915]()
Hardware name: DW137A-ABA A445W
failed to reset object for tiling switch
Modules linked in: vfat fat sit tunnel4 aes_i586 aes_generic fuse tun ipv6
p4_clockmod arc4 ecb zd1211rw snd_intel8x0 snd_ac97_codec ac97_bus mac80211
snd_seq cfg80211 snd_seq_device snd_pcm snd_timer 8139too snd iTCO_wdt
iTCO_vendor_support 8139cp serio_raw ppdev parport_pc mii i2c_i801 parport
soundcore rfkill joydev snd_page_alloc microcode usb_storage firewire_ohci
firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video
output [last unloaded: scsi_wait_scan]
Pid: 1331, comm: Xorg Tainted: G        W  2.6.34.7-56.fc13.i686 #1
Call Trace:
 [<c0438822>] warn_slowpath_common+0x6a/0x81
 [<f7dc4570>] ? i915_gem_set_tiling+0x156/0x1ad [i915]
 [<c0438877>] warn_slowpath_fmt+0x29/0x2c
 [<f7dc4570>] i915_gem_set_tiling+0x156/0x1ad [i915]
 [<f7d33ad8>] drm_ioctl+0x26d/0x359 [drm]
 [<f7dc441a>] ? i915_gem_set_tiling+0x0/0x1ad [i915]
 [<c04095cf>] ? restore_i387_fxsave+0x68/0x79
 [<c04dc69d>] vfs_ioctl+0x2c/0x96
 [<f7d3386b>] ? drm_ioctl+0x0/0x359 [drm]


 [<c04dcc33>] do_vfs_ioctl+0x488/0x4c6
 [<c0409ba4>] ? restore_i387_xstate+0x1a9/0x1e0
 [<c04d16f3>] ? fsnotify_access+0x54/0x5f
 [<c0479599>] ? audit_syscall_entry+0x118/0x13a
 [<c04dccb7>] sys_ioctl+0x46/0x66
 [<c079093c>] syscall_call+0x7/0xb
---[ end trace 6e81fd0f0f850f59 ]---
npviewer.bin[10320]: segfault at b753b054 ip 01194733 sp bfde1600 error 4 in
libflashplayer.so[df5000+b2c000]
wlan0: deauthenticating from 00:1c:10:92:20:bc by local choice (reason=3)

Comment 1 Nineth 2010-11-15 05:28:30 UTC
Here are more logs.

From /var/log/messages

Nov 15 00:06:54 localhost kernel: [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung
Nov 15 00:06:54 localhost kernel: [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 19253102 at 19253099)
Nov 15 00:06:54 localhost kernel: ------------[ cut here ]------------
Nov 15 00:06:54 localhost kernel: WARNING: at drivers/gpu/drm/i915/i915_gem_tiling.c:337 i915_gem_set_tiling+0x156/0x1ad [i915]()
Nov 15 00:06:54 localhost kernel: Hardware name: DW137A-ABA A445W
Nov 15 00:06:54 localhost kernel: failed to reset object for tiling switch
Nov 15 00:06:54 localhost kernel: Modules linked in: vfat fat nls_utf8 fuse aes_i586 aes_generic tun ipv6 p4_clockmod arc4 snd_intel8x0 ecb snd_ac97_codec ac
97_bus snd_seq 8139too snd_seq_device 8139cp snd_pcm iTCO_wdt zd1211rw iTCO_vendor_support mii snd_timer snd ppdev i2c_i801 soundcore mac80211 snd_page_alloc parport_pc cfg80211 rfkill parport microcode serio_raw joydev usb_storage firewire_ohci firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Nov 15 00:06:54 localhost kernel: Pid: 1276, comm: Xorg Not tainted 2.6.34.7-61.fc13.i686 #1
Nov 15 00:06:54 localhost kernel: Call Trace:
Nov 15 00:06:54 localhost kernel: [<c0438802>] warn_slowpath_common+0x6a/0x81
Nov 15 00:06:54 localhost kernel: [<f7dc4570>] ? i915_gem_set_tiling+0x156/0x1ad [i915]
Nov 15 00:06:54 localhost kernel: [<c0438857>] warn_slowpath_fmt+0x29/0x2c
Nov 15 00:06:54 localhost kernel: [<f7dc4570>] i915_gem_set_tiling+0x156/0x1ad [i915]
Nov 15 00:06:54 localhost kernel: [<f7d33ad8>] drm_ioctl+0x26d/0x359 [drm]
Nov 15 00:06:54 localhost kernel: [<f7dc441a>] ? i915_gem_set_tiling+0x0/0x1ad [i915]
Nov 15 00:06:54 localhost kernel: [<c04095cf>] ? restore_i387_fxsave+0x68/0x79
Nov 15 00:06:54 localhost kernel: [<c04dc67d>] vfs_ioctl+0x2c/0x96
Nov 15 00:06:54 localhost kernel: [<f7d3386b>] ? drm_ioctl+0x0/0x359 [drm]
Nov 15 00:06:54 localhost kernel: [<c04dcc13>] do_vfs_ioctl+0x488/0x4c6
Nov 15 00:06:54 localhost kernel: [<c0409ba4>] ? restore_i387_xstate+0x1a9/0x1e0
Nov 15 00:06:54 localhost kernel: [<c04d16d3>] ? fsnotify_access+0x54/0x5f
Nov 15 00:06:54 localhost kernel: [<c0479579>] ? audit_syscall_entry+0x118/0x13a
Nov 15 00:06:54 localhost kernel: [<c04dcc97>] sys_ioctl+0x46/0x66
Nov 15 00:06:54 localhost kernel: [<c0790944>] syscall_call+0x7/0xb
Nov 15 00:06:54 localhost kernel: ---[ end trace f54bddefbf123cf4 ]---
Nov 15 00:08:34 localhost abrt: Kerneloops: Reported 1 kernel oopses to Abrt
Nov 15 00:08:34 localhost abrtd: Directory 'kerneloops-1289797714-1143-1' creation detected
Nov 15 00:08:35 localhost abrtd: Crash is in database already (dup of /var/spool/abrt/kerneloops-1287954753-1190-1)
Nov 15 00:08:35 localhost abrtd: Deleting crash kerneloops-1289797714-1143-1 (dup of kerneloops-1287954753-1190-1), sending dbus signal


Trying to start a basic X session (xinit) yields

X.Org X Server 1.8.2
Release Date: 2010-07-01
X Protocol Version 11, Revision 0
Build Operating System: x86-10 2.6.32-44.el6.x86_64 
Current Operating System: Linux localhost.localdomain 2.6.34.7-61.fc13.i686 #1 SMP Tue Oct 19 04:42:47 UTC 2010 i686
Kernel command line: ro root=UUID=a79881e9-6359-42ae-a184-287c7d3927a7 rhgb quiet SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us
Build Date: 13 September 2010  07:04:27PM
Build ID: xorg-x11-server 1.8.2-4.fc13 
Current version of pixman: 0.18.0
        Before reporting problems, check http://bodhi.fedoraproject.org/
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.1.log", Time: Mon Nov 15 00:10:36 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(EE) Microsoft Natural® Ergonomic Keyboard 4000: failed to initialize for relative axes.
(EE) intel(0): Failed to submit batch buffer, expect rendering corruption or even a frozen display: Input/output error.

Comment 2 Matěj Cepl 2010-11-15 10:00:27 UTC
We could use more context on your logs. Could we get complete ones, please? 

Specifically, please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Nineth 2010-11-20 02:45:31 UTC
Do you want these logs (esp. the system log, dmesg output, Xorg logs) when/immediately after this issue has occurred?

Comment 4 Matěj Cepl 2010-11-20 22:20:49 UTC
yes, after crash and before reboot, if possible.

Thank you

Comment 5 Stephen E Clark 2010-12-12 22:11:57 UTC
Not sure this is related but with 2.6.34.7-63.fc13.x86_64 and wine-1.3.8-1.fc15.x86_64 and trying to play Myst V I get a GPU hung check at a certain point, very early, in the game. 
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])

I have Xorg.0.log, messages and an intel_gpu_dump if you are interested.

I tried the kernel in rawhide 2.6.37-0.rc5.git2.1.fc15.x86_64 it was worse, I couldn't even get the game started. Have to reboot to get X to work which says to me it is in the kernel modesetting driver not X11.

Comment 6 Ben Wallberg 2011-02-03 18:51:24 UTC
Created attachment 476846 [details]
output from dmesg

Comment 7 Ben Wallberg 2011-02-03 18:52:19 UTC
Created attachment 476847 [details]
/var/log/messages

edited down to most recent boot w/ crash

Comment 8 Ben Wallberg 2011-02-03 18:52:56 UTC
Created attachment 476848 [details]
/etc/x11/xorg.conf

Comment 9 Ben Wallberg 2011-02-03 18:53:28 UTC
Created attachment 476849 [details]
/var/log/Xorg.0.log

Comment 10 Ben Wallberg 2011-02-04 12:16:10 UTC
I'm experiencing identical symptoms and have supplied the requested files.

Comment 11 Bug Zapper 2011-05-30 14:12:44 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2011-06-28 10:51:36 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.